@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;800;900&display=swap');

:root {
    --main-color: #000;
}

::-webkit-scrollbar {
    width: 10px
}

::-webkit-scrollbar-track {
    /* box-shadow: inset 0 0 5px grey; */
    border-radius: 0
}

::-webkit-scrollbar-thumb {
    background: var(--main-color);
    border-radius: 0
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

html,
body {
    width: 100%;
    height: 100%;
}

.button {
    padding: 5px;
    width: 66px;
}

.button-download {
    padding: 5px;
    width: 200px;
}
/* body {
     background: linear-gradient(-45deg, #ee7752, #08e79d, #23c9d5, #23d5ab);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
} */

section {
    position: relative;
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    /* background: url('../img/bg.jpg') no-repeat; */
    background-size: cover;
    background-position: center;
}

label {
    display: none;
}

#check {
    z-index: 3;
    display: none;
}

header {
    position: fixed;
    z-index: 100;
    top: 0;
    width: 100%;
    padding: 10px 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: white;
}

header img {
    width: auto;
    height: 50px;
    /* padding: 10px; */
    border-radius: 5px;
    display: flex;
    margin-top: 13px;
    opacity: 25%;
    position: absolute;
    left: 177px;
    z-index: -1;
}

.navigation {
    display: flex;
    justify-content: space-between;
    gap: 30px;
    padding: 10px;
    background-color: white;
    border-radius: 10px;
}

.navigation a {
    color: rgb(0, 0, 0);
    text-decoration: none;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 1px;
    padding: 8px 15px;
    border-radius: 5px;
    transition: 0.3s;
    white-space: nowrap;
}

.navigation a:hover {
    background: var(--main-color);
    color: rgb(255, 255, 255);
}

header span {
    color: white;
}

header .logo {
    position: relative;
    color: rgb(0, 0, 0);
    font-size: 45px;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: 800;
    letter-spacing: 1px;
    text-shadow: 1px 1px 2px rgb(0, 0, 0);
    display: flex;
}

.dropdown {
    float: right;
    overflow: hidden;
}

.dropdown .dropbtn {
    font-size: 18px;
    border: none;
    outline: none;
    color: rgb(0, 0, 0);
    padding: 8px 20px;
    /* background-color: white; */
    margin: 0;
    letter-spacing: 1px;
    white-space: nowrap;
    font-weight: 500;
    background: none;
    border-radius: 5px;
    width: 142px;
    background: var(--main-color);
    color: white;
}

.navbar a:hover,
.dropdown:hover .dropbtn {
    background-color: var(--main-color);
    color: white;
    transition: 0.3s;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #ffffff;
    min-width: 142px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    border-radius: 5px;
}

.dropdown-content a {
    float: none;
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
    white-space: nowrap;
}

.dropdown-content a:hover {
    background-color: rgb(255, 255, 255);
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown-content a {
    margin: 5px;
    border-radius: 0px;
    padding: 10px;
    text-align: center;
    border-radius: 5px;
}


.navigation .dropdown .dropdown-content .link:hover {
    background-color: var(--color);
    color: rgb(255, 255, 255);
}

.scolling {
    background-color: white;
    box-shadow: 0 1px 1px rgb(0 0 0 / 8%), 0 2px 2px rgb(0 0 0 / 12%), 0 4px 4px rgb(0 0 0 / 16%), 0 8px 8px rgb(0 0 0 / 5%);
    transition: box-shadow 0.5s;
}

.scroll_at_top {
    box-shadow: 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%);
    transition: box-shadow 0.5s;
}


@media (max-width: 1501px) {

    header {
        padding: 20px 30px;
        min-width: 380px;
    }

    #navbar .navigation {
        display: none;
    }

    #nav_box {
        display: flex;
        background-color: white;
        padding: 13px;
        border-radius: 5px;
        font-size: 25px;
        cursor: pointer;
        transition: 0.3s;
        transition-property: color;
    }

    label .close-btn {
        display: none;
    }

    #check:checked~header .navigation {
        z-index: 5;
        position: fixed;
        background: rgba(255, 255, 255, 0.9);
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 30px;
    }

    #check:checked~header .navigation a {
        font-weight: 700;
        /* margin-right: 0; */
        /* margin-bottom: 50px; */
        letter-spacing: 2px;
    }

    #check:checked~header label .menu-btn {
        display: none;
    }

    #check:checked~header label .close-btn {
        z-index: 5;
        display: block;
        position: relative;
    }

    .dropdown .dropbtn {
        font-weight: 700;
    }
}

/* contact us */
.contact-us {
    border-top: 10px solid var(--main-color);
    padding: 80px 0px;
    margin-top: 30px;
}

.contact-us h2 {
    text-align: center;
    font-size: 2rem;
    margin-bottom: 30px;
    font-weight: 300;
    letter-spacing: 2px;
    line-height: 60px;
}

.contact-us .flex-row {
    justify-content: space-between;
    max-width: 1200px;
}

.contact-us .flex-row p {
    width: 300px;
    text-align: center;
    font-size: 20px;
    font-weight: 600;
    line-height: 34px;
}

.contact-us .flex-row p i {
    margin-right: 15px;
}

.contact-us .flex-row p span {
    font-size: 18px;
    font-weight: 300;
}

.flex-row {
    display: flex;
    /* flex-direction: row; */
    justify-content: center;
    margin: 0px auto;
    /* background: linear-gradient(rgba(40, 48, 90, 0.9),  rgba(40, 58, 90, 0.9)), url(../image/111.jpg) fixed center center; */
}

.hyperlink-1 {
    color: black;
}

@media (max-width: 1200px) {

    .flex-row {
        flex-direction: column;
    }

    .flex-row p {
        margin: 30px auto;
    }

    /* #navbar .navigation .dropdown {
            margin-bottom: 50px;
        } */
    .dropdown .dropbtn {
        font-weight: 700;
    }

    .dropbtn_admin {
        width: 205px
    }
}

.content {
    /* padding-top: 120px; */
    text-align: center;
    /* max-width: 1000px; */
    width: 100%;
    margin: 0px auto;
    padding: 110px 20px;

}

.content .info h2 {
    color: #000000;

    font-size: 2rem;
    /* text-transform: uppercase; */
    font-weight: 500;
    letter-spacing: 2px;
    line-height: 60px;
    margin-bottom: 30px;
}

.content .info h2 span {
    color: rgb(255, 255, 255);
    font-size: 2.5rem;
    font-weight: 600;

}

.content .info p {
    text-align: center;
    font-size: 1rem;
    color: #000000;
    font-weight: 450;
    /* margin: 30px 0px; */
}

.content .info-btn {
    color: rgb(255, 255, 255);
    background-color: #000000;
    text-decoration: none;
    /* text-transform:  uppercase; */
    font-weight: 700;
    letter-spacing: 2px;
    padding: 10px 20px;
    border-radius: 5px;
    transition: 0.3s;
}

.content .info-btn:hover {
    background: #90da9071;

}

.content .info img {
    /* display: flex; */
    margin: auto;
    max-width: 1000px;
    width: 1000px;
    border-radius: 11px;
}

.content .info select {
    height: 30px;
    width: 150px;
    text-align: center;
}

.content .info select-items {
    height: 30px;
}

/* map */

.map {
    /* display: flex; */
    /* min-height: 100vh; */
    height: 40rem;
    width: 100%;
    margin-bottom: 30px;
    border-radius: 10px;
    overflow: hidden;
}

.popover {
    white-space: pre-wrap;
}

.content .info .column {
    flex: auto;
    width: 8rem;
    text-align: center;
    /* height: 6rem; */
    margin: 2.5px;
    border-radius: 10px;
    /* cursor: pointer; */
}

.content .info .row {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    margin: auto;

}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
    margin: auto;
    /* margin-bottom: 4rem; */
}

table {
    font-family: Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
    margin: 30px 0px;
}

table td,
table th {
    border: 1px solid #ddd;
    padding: 8px;
}

table tr:nth-child(even) {
    background-color: #f2f2f2;
}

table tr:hover {
    background-color: #ddd;
}

table th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #000;
    color: white;
}

.media-icons {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;

}

.media-icons p {
    text-align: center;
    font-size: 1rem;
    color: #000000;
    font-weight: 100;
    margin: 30px 100px;
    /* margin-bottom: 40px; */
}

.media-icons a {
    position: relative;
    color: #111;
    font-size: 25px;
    transition: 0.3s;
    /* display: none; */
    text-align: center;
}

.media-icons a:not(:last-child) {
    margin-right: 60px;
}

.media-icons a:hover {
    transform: scale(1.5);
}

label {
    display: none;
}

#check {
    z-index: 3;
    display: none;
}

@media(max-width: 1400px) {
    header {
        padding: 10px 30px;
    }
}

@media(max-width: 1360px) {
    .content .info .column {
        width: 30%;
    }
}

@media(max-width: 1100px) {

    header .navigation {
        display: none;
    }

    label {
        display: block;
        font-size: 25px;
        cursor: pointer;
        transition: 0.3s;
        transition-property: color;
    }

    label .close-btn {
        display: none;
    }

    #check:checked~header .navigation {
        z-index: 2;
        position: fixed;
        background: rgba(255, 255, 255, 0.9);
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    #check:checked~header .navigation a {
        font-weight: 700;
        margin-right: 0;
        margin-bottom: 50px;
        letter-spacing: 2px;
    }

    #check:checked~header label .menu-btn {
        display: none;
    }

    #check:checked~header label .close-btn {
        z-index: 5;
        display: block;
        position: relative;
    }

    header {
        padding: 20px 30px;
    }



    .content {
        margin: 0px auto;
    }

    .content .info h2 {
        /* font-size: 45px; */
        line-height: 50px;
    }

    .content .info p {
        text-align: center;
        font-size: 1rem;
        color: #000000;
        font-weight: 400;
        /* margin: 30px 30px; */
    }

    .content .info img {
        width: 99.9%;
        border-radius: 0%;

    }

    .media-icons p {
        text-align: center;
        font-size: 1rem;
        color: #000000;
        font-weight: 100;
        margin: 30px 50px;
        /* margin-bottom: 40px; */
    }

}

@media screen and (max-width: 820px) {
    .table_scrollbar {
        display: block;
        overflow-x: auto;
        white-space: nowrap;
    }
}


@media screen and (max-width: 720px) {
    .content .info .column {
        width: 100%;
    }

    .content .info .column:not(:last-child) {
        margin-bottom: 30px;
    }

    .map {
        height: 20rem;
    }
}

.flex {
    margin-top: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.grid-container-0 {
    display: grid;
    grid-template-rows: 50px 50px 50px 50px 50px 50px 50px 50px;
    background-color: rgb(248, 248, 248);
    border: 1px solid black;
    gap: 10px;
    padding: 10px;
    width: 100px;
    height: 490px;
}

.grid-container-1 {
    display: grid;
    grid-template-rows: 70px 70px 150px 150px;
    background-color: rgb(248, 248, 248);
    border: 1px solid rgb(0, 0, 0);
    gap: 10px;
    padding: 10px;
    width: 120px;
    height: 490px;
}

.grid-container-2 {
    display: grid;
    grid-template-rows: 70px 70px 70px 70px 70px 70px;
    background-color: rgb(248, 248, 248);
    border: 1px solid black;
    gap: 10px;
    padding: 10px;
    width: 120px;
    height: 490px;
}

.grid-item {
    background-color: rgba(255, 255, 255, 0.8);
    border: 1px solid rgba(0, 0, 0, 0.8);
    padding: 10px;
    font-size: 30px;
    text-align: center;
    display: flex;
    cursor: pointer;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.popover-body {
    background-color: rgba(255, 255, 255, 0.74);
    padding: 10px;
    font-size: .8rem;
    border-radius: 10px;
}